Function
targetVertex
Returns the target vertex of an edge.
targetVertex(g, e)
targetVertex(it)
Include Headers
seqan/graph_types.h
Parameters

g | A graph. Types: Graph
e | An edge descriptor. Types: EdgeDescriptor
it | An edge iterator. Types: Edge Iterator, Out-Edge Iterator

Remarks
In a tree the target vertex is always the child. In an undirected graph the larger vertex descriptor of the two endpoints is the target. For an out-edge iterator the target is always the vertex the out-edge iterator has not been initialized with.
Return Values
A vertex descriptor.
Types: VertexDescriptor
See Also
sourceVertex
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:49